/*
 * dnlcps.d - DNLC stats by process.
 *            Written in DTrace (Solaris 10 3/05).
 *
 * The DNLC is the Directory Name Lookup Cache. Filename lookups often
 * return a hit from here, before needing to traverse the regular file
 * system cache or go to disk.
 *
 * dnlcps.d prints DNLC statistics by process.
 *
 * $Id: dnlcps.d 3 2007-08-01 10:50:08Z brendan $
 *
 * FIELDS:
 *		PID             Process ID
 *		CMD          	Command name
 *		value        	0 == miss, 1 == hit
 *		count        	number of occurrences
 *
 * COPYRIGHT: Copyright (c) 2006 Brendan Gregg.
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * 27-Mar-2004	Brendan Gregg	Created this.
 * 14-Jun-2005	   "      "	Rewrote this a lot.
 * 18-Feb-2006	   "      "	Last update.
 * 04-Nov-2008  Tom Erickson	(updated for Chime)
 */

/*
 * Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */

/*
 * DNLC return
 */
fbt:genunix:dnlc_lookup:return
{
	this->hit = arg1 == 0 ? 0 : 1;
	this->miss = arg1 == 0 ? 1 : 0;
	@hits[execname, pid] = sum(this->hit);
	@misses[execname, pid] = sum(this->miss);
}
